project(cheng3)

find_package (Threads)

add_executable(cheng3 cheng3.cpp core/microcore.cpp core/encoding.cpp core/string.cpp bitboard.cpp biteval.cpp bithistory.cpp bitkpk.cpp bitmagic.cpp bitmovegen.cpp bitpersonality.cpp bitpsq.cpp bitsearch.cpp bitsee.cpp bittables.cpp bittrans.cpp board.cpp book.cpp gtbwrapper.cpp move.cpp piece.cpp zobrist.cpp)

target_link_libraries (cheng3 ${CMAKE_THREAD_LIBS_INIT})

